Direct refolding paths between two secondary structures
Refolding paths between secondary structues

Implementation of heuristics to explore optimal (re-)folding paths between two secondary structures. More...

Collaboration diagram for Direct refolding paths between two secondary structures:

## Data Structures

struct | vrna_path_s
| An element of a refolding path list. More...

## Typedefs

typedef struct vrna_path_s | vrna_path_t
| Typename for the refolding path data structure vrna_path_s.
typedef struct vrna_path_s | path_t
| Old typename of vrna_path_s. More...

## Functions

int | vrna_path_findpath_saddle (vrna_fold_compound_t *vc, const char *struc1, const char *struc2, int max)
| Find energy of a saddle point between 2 structures (search only direct path) More...
vrna_path_t * | vrna_path_findpath (vrna_fold_compound_t *vc, const char *s1, const char *s2, int maxkeep)
| Find refolding path between 2 structures (search only direct path) More...
int | find_saddle (const char *seq, const char *struc1, const char *struc2, int max)
| Find energy of a saddle point between 2 structures (search only direct path) More...
void | free_path (vrna_path_t *path)
| Free memory allocated by get_path() function. More...
vrna_path_t * | get_path (const char *seq, const char *s1, const char *s2, int maxkeep)
| Find refolding path between 2 structures (search only direct path) More...

## Detailed Description

Implementation of heuristics to explore optimal (re-)folding paths between two secondary structures.

## Data Structure Documentation

struct vrna_path_s

An element of a refolding path list.

See also
  vrna_path_findpath()

### Data Fields

double | en
| Free energy of current structure.
char * | s
| Secondary structure in dot-bracket notation.

## Typedef Documentation

typedef struct vrna_path_s path_t

`#include <ViennaRNA/findpath.h>`

Old typename of vrna_path_s.

Deprecated:
  Use vrna_path_t instead!

## Function Documentation

int vrna_path_findpath_saddle | ( | vrna_fold_compound_t * | vc,
|  | const char * | struc1,
|  | const char * | struc2,
|  | int | max
| ) |  |

`#include <ViennaRNA/findpath.h>`

Find energy of a saddle point between 2 structures (search only direct path)

This function uses an inplementation of the findpath algorithm [5] for near-optimal direct refolding path prediction.

Model details, and energy parameters are used as provided via the parameter 'vc'. The vrna_fold_compound_t does not require memory for any DP matrices, but requires all most basic init values as one would get from a call like this:

vc = vrna_fold_compound(sequence, NULL, VRNA_OPTION_EVAL_ONLY);

See also
  vrna_fold_compound(), vrna_fold_compound_t, vrna_path_findpath()

Parameters

  vc | The vrna_fold_compound_t with precomputed sequence encoding and model details
  struc1 | The start structure in dot-brakcet notation
  struc2 | The target structure in dot-bracket notation
  max | A number specifying how many strutures are being kept at each step during the search

Returns
  The saddle energy in 10cal/mol

vrna_path_t* vrna_path_findpath | ( | vrna_fold_compound_t * | vc,
|  | const char * | s1,
|  | const char * | s2,
|  | int | maxkeep
| ) |  |

`#include <ViennaRNA/findpath.h>`

Find refolding path between 2 structures (search only direct path)

This function uses an inplementation of the findpath algorithm [5] for near-optimal direct refolding path prediction.

Model details, and energy parameters are used as provided via the parameter 'vc'. The vrna_fold_compound_t does not require memory for any DP matrices, but requires all most basic init values as one would get from a call like this:

vc = vrna_fold_compound(sequence, NULL, VRNA_OPTION_EVAL_ONLY);

See also
  vrna_fold_compound(), vrna_fold_compound_t, vrna_path_findpath_saddle()

Parameters

  vc | The vrna_fold_compound_t with precomputed sequence encoding and model details
  s1 | The start structure in dot-brakcet notation
  s2 | The target structure in dot-bracket notation
  maxkeep | A number specifying how many strutures are being kept at each step during the search

Returns
  The saddle energy in 10cal/mol

int find_saddle | ( | const char * | seq,
|  | const char * | struc1,
|  | const char * | struc2,
|  | int | max
| ) |  |

`#include <ViennaRNA/findpath.h>`

Find energy of a saddle point between 2 structures (search only direct path)

Parameters

  seq | RNA sequence
  struc1 | A pointer to the character array where the first secondary structure in dot-bracket notation will be written to
  struc2 | A pointer to the character array where the second secondary structure in dot-bracket notation will be written to
  max | integer how many strutures are being kept during the search

Returns
  the saddle energy in 10cal/mol

void free_path | ( | vrna_path_t * | path | ) |

`#include <ViennaRNA/findpath.h>`

Free memory allocated by get_path() function.

Parameters

  path | pointer to memory to be freed

vrna_path_t* get_path | ( | const char * | seq,
|  | const char * | s1,
|  | const char * | s2,
|  | int | maxkeep
| ) |  |

`#include <ViennaRNA/findpath.h>`

Find refolding path between 2 structures (search only direct path)

Parameters

  seq | RNA sequence
  s1 | A pointer to the character array where the first secondary structure in dot-bracket notation will be written to
  s2 | A pointer to the character array where the second secondary structure in dot-bracket notation will be written to
  maxkeep | integer how many strutures are being kept during the search

Returns
  direct refolding path between two structures